olm:
  mongodb:
    channel: stable
    version: 1.15.0

images:
  mongodb:
    repository: docker.io/percona/percona-server-mongodb
    tag: 6.0.9-7
  pmm:
    repository: percona/pmm-client
    tag: 2.39.0

config:
  imagePullPolicy: IfNotPresent
  updateStrategy: SmartUpdate
  debug: false
  istio: false
  passwords:
    backup: ''
    clusterAdmin: ''
    clusterMonitor: ''
    pmmServerApiKey: ''
    userAdmin: ''
  mongodb:
    # pause: false
    # standby: false
    # config: ''
    replicas: 1
    resources:
      requests:
        cpu: 300m
        memory: 0.5G
      limits:
        cpu: 300m
        memory: 0.5G
  pmm:
    enabled: false
    resources:
      requests:
        cpu: 10m
        memory: 64Mi
      limits:
        cpu: 100m
        memory: 128Mi

service:
  mongodb:
    type: ClusterIP
    externalTrafficPolicy: Cluster
    tls:
      enabled: false
      dnsNames: ''
      issuer: selfsigned
      ca: ''
      certificate: ''
    nodePorts:
      mongodb:
    lbPorts:
      mongodb: 27017

persistence:
  accessMode: ReadWriteOnce
  size:
    replicas: 1Gi
  storageClass: ''
  kanister:
    enabled: false
    schedule: '0 0 * * *'
